<?php
include_once 'db_connect.php'; // ensure you have a PDO $conn

// Check if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['update_options'])) {
    // Get checkbox value, 'on' if checked, otherwise null
    $autoAdd = isset($_POST['auto_add_completed_date']) ? '1' : '0';

    // Update the option in the database
    $stmt = $conn->prepare("INSERT INTO options (option_name, option_value) VALUES ('auto_add_completed_date', :val)
                            ON DUPLICATE KEY UPDATE option_value = :val");
    $stmt->bindParam(':val', $autoAdd, PDO::PARAM_STR);
    $stmt->execute();

    // Redirect to panel.php to avoid form resubmission
    header("Location: panel.php");
    exit;
}

// Fetch the current option value
$stmt = $conn->prepare("SELECT option_value FROM options WHERE option_name = 'auto_add_completed_date'");
$stmt->execute();
$autoAddCompletedDate = $stmt->fetchColumn();

// If not found in DB, default to '0'
if ($autoAddCompletedDate === false) {
    $autoAddCompletedDate = '0';
}
